Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036066
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2017-05-22 17:292017-06-08 17:12
ReporterngarciaView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisionbeaa5444cc3e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036066: no updateable AD definition can be overwritten by role config

DescriptionColumns set as no updateable in Application Dictionary can be set as updateable through role configuration.

Note if the field is marked to be read-only changes for it at role config have no effect.
Steps To ReproduceAs group admin role:
   Go to Role window and select F&B International Group Admin role
   In Window Access tab select Business Partner
   In Tab Access subtab add the Business Partner - Business Partner tab and set it as Editable Field = 'Y'
   Log out and log in
   Go to Business Partner window and check you can modify the organization and you should not (the c_bpartner.ad_org_id column is defined as Updatable = 'N')
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036172 closedalostale WindowSettingsActionHandler underperformance 

-  Notes
(0097100)
hgbot (developer)
2017-06-02 12:09

Repository: erp/devel/pi
Changeset: beaa5444cc3ef4814474f945e85c36f6dcf2eee4
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 02 12:07:16 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/beaa5444cc3ef4814474f945e85c36f6dcf2eee4 [^]

fixed bug 36066: no updateable AD definition can be overwritten by role config

  * Take into account when applying role config at tab level if column is read
    only, read only field was already considered.
  * When applying role config at field level, take into accout both field and
    column

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowSettingsActionHandler.java
---
(0097119)
caristu (developer)
2017-06-05 09:42

Code reviewed + testing OK.
(0097237)
hudsonbot (developer)
2017-06-08 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fda0f16ab470 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-05-22 17:29 ngarcia New Issue
2017-05-22 17:29 ngarcia Assigned To => Triage Finance
2017-05-22 17:29 ngarcia Modules => Core
2017-05-22 17:29 ngarcia Triggers an Emergency Pack => No
2017-05-22 17:30 ngarcia Issue Monitored: networkb
2017-05-24 10:38 aferraz Assigned To Triage Finance => platform
2017-06-02 11:45 alostale Summary Business Partner Organization can be modified if the role has access to the 'Business Partner - Business Partner' tab => no updateble AD definition can be overwritten by role config
2017-06-02 11:45 alostale Description Updated View Revisions
2017-06-02 11:46 alostale Status new => acknowledged
2017-06-02 12:07 alostale Assigned To platform => alostale
2017-06-02 12:07 alostale Review Assigned To => caristu
2017-06-02 12:08 alostale Summary no updateble AD definition can be overwritten by role config => no updateable AD definition can be overwritten by role config
2017-06-02 12:09 hgbot Checkin
2017-06-02 12:09 hgbot Note Added: 0097100
2017-06-02 12:09 hgbot Status acknowledged => resolved
2017-06-02 12:09 hgbot Resolution open => fixed
2017-06-02 12:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/beaa5444cc3ef4814474f945e85c36f6dcf2eee4 [^]
2017-06-02 14:30 alostale Relationship added related to 0036172
2017-06-05 09:42 caristu Note Added: 0097119
2017-06-05 09:42 caristu Status resolved => closed
2017-06-05 09:42 caristu Fixed in Version => 3.0PR17Q3
2017-06-08 17:12 hudsonbot Checkin
2017-06-08 17:12 hudsonbot Note Added: 0097237


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker